Get list of card types

GET
https://example.kaiten.ru/api/latest/card-types

⚠️ The properties field is deprecated and will be removed after 31.01.2026. Use card_properties instead for defining card type properties.

Query
NameTypeConstraintsDescription
limitintegerMax: 100Maximum amount of types in response. The result of the request is displayed page by page if parameter presented
offsetintegerNumber of records to skip
Responses

200
DescriptionResponse typeExample
SuccessArray of objects
Open
Response Attributes
NameTypeDescription
company_id

integer

Company id
letter

string

Card type letter
name

string

Card type name
color

integer

Color number
updated

string

Last update timestamp
created

string

Create date
id

integer

Card type id
archived

boolean

Archived flag
propertiesDeprecated: use
card_properties instead

null | object

Schema
Card type properties(preset and custom). Will be removed after 31.01.2026.
card_properties

array

Schema
Array of card properties that will be suggested for filling in cards of this type
suggest_fields

boolean

If true, cards of this type will be offered to display additional fields based on statistics
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

403
DescriptionResponse typeExample
ForbiddenResponse body does not exist

A schema has not been defined for this response code.

logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io
  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/card-types' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!